Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.jdbc
Class JdbcMessageReceiver

    java.lang.Object
      org.mule.transport.AbstractConnectable
          org.mule.transport.AbstractMessageReceiver
              org.mule.transport.AbstractPollingMessageReceiver
                  org.mule.transport.TransactedPollingMessageReceiver
                      org.mule.transport.jdbc.JdbcMessageReceiver

All Implemented Interfaces:
  Disposable, Initialisable, Lifecycle, LifecycleStateEnabled, Startable, Stoppable, MessageSource, Connectable, MessageReceiver

    public class JdbcMessageReceiver

extends TransactedPollingMessageReceiver

TODO

Nested Class Summary

Nested classes/interfaces inherited from class org.mule.transport.TransactedPollingMessageReceiver
`TransactedPollingMessageReceiver.MessageProcessorWorker`

Field Summary
`protected List` | `ackParams`
`protected String` | `ackStmt`
`protected JdbcConnector` | `connector`
`protected List` | `readParams`
`protected String` | `readStmt`
`static String` | `RECEIVE_MESSAGE_IN_TRANSCTION`
`static String` | `RECEIVE_MESSAGES_IN_XA_TRANSCTION`
`boolean` | `receiveMessagesInXaTransaction`

Fields inherited from class org.mule.transport.AbstractPollingMessageReceiver
`DEFAULT_POLL_FREQUENCY, DEFAULT_POLL_TIMEUNIT, DEFAULT_STARTUP_DELAY, schedules`

Fields inherited from class org.mule.transport.AbstractMessageReceiver
`defaultInboundTransformers, defaultResponseTransformers, flowConstruct, listener, receiverKey`

Fields inherited from class org.mule.transport.AbstractConnectable
`connected, connecting, endpoint, lifecycleManager, logger, muleMessageFactory, retryTemplate, startOnConnect`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`JdbcMessageReceiver(Connector connector, FlowConstruct flowConstruct, InboundEndpoint endpoint, String readStmt, String ackStmt)`

Method Summary
`protected void` | `doConnect()`
`protected void` | `doDisconnect()`
`protected void` | `doDispose()`
`List<MuleMessage>` | `getMessages()`
`void` | `processMessage(Object message)`

Methods inherited from class org.mule.transport.TransactedPollingMessageReceiver
`doStart, isReceiveMessagesInTransaction, isUseMultipleTransactedReceivers, poll, setReceiveMessagesInTransaction, setUseMultipleTransactedReceivers`

Methods inherited from class org.mule.transport.AbstractPollingMessageReceiver
`createWork, doStop, getFrequency, getTimeUnit, schedule, setFrequency, setTimeUnit, unschedule`

Methods inherited from class org.mule.transport.AbstractMessageReceiver
`applyInboundTransformers, applyResponseTransformers, createLifecycleManager, createMuleEvent, getConnectEventId, getConnectionDescription, getEndpoint, getEndpointURI, getFlowConstruct, getReceiverKey, getWorkManager, handleUnacceptedFilter, initialise, routeMessage, routeMessage, routeMessage, routeMessage, setEndpoint, setListener, setReceiverKey, toString`

Methods inherited from class org.mule.transport.AbstractConnectable
`activate, callDoStartWhenItIsConnected, connect, connectAndThenStart, createMuleMessage, createMuleMessage, createMuleMessage, createMuleMessageFactory, createNullMuleMessage, disconnect, dispose, disposeAndLogException, doInitialise, getConnectEventId, getConnector, getLifecycleState, initializeMessageFactory, initializeRetryPolicy, isConnected, isConnecting, isDoStartMustFollowDoConnect, isDoThreading, isStarted, passivate, setEndpoint, start, stop, validate, validateConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.transport.MessageReceiver
`createMuleMessage, createMuleMessage`

Methods inherited from interface org.mule.api.transport.Connectable
`connect, disconnect, isConnected, validateConnection`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Field Detail

### RECEIVE_MESSAGE_IN_TRANSCTION

    public static final String RECEIVE_MESSAGE_IN_TRANSCTION

See Also:
  Constant Field Values

### RECEIVE_MESSAGES_IN_XA_TRANSCTION

    public static final String RECEIVE_MESSAGES_IN_XA_TRANSCTION

See Also:
  Constant Field Values

### connector

    protected JdbcConnector connector

### readStmt

    protected String readStmt

### ackStmt

    protected String ackStmt

### readParams

    protected List readParams

### ackParams

    protected List ackParams

### receiveMessagesInXaTransaction

    public boolean receiveMessagesInXaTransaction

Constructor Detail

### JdbcMessageReceiver

    public JdbcMessageReceiver(Connector connector,
                               FlowConstruct flowConstruct,
                               InboundEndpoint endpoint,
                               String readStmt,
                               String ackStmt)
                        throws CreateException

Throws:
  `CreateException`

Method Detail

### doDispose

    protected void doDispose()

  Overrides:
    `doDispose` in class `AbstractMessageReceiver`

### doConnect

    protected void doConnect()
                      throws Exception

  Overrides:
    `doConnect` in class `AbstractConnectable`
  Throws:
    `Exception`

### doDisconnect

    protected void doDisconnect()
                         throws Exception

  Overrides:
    `doDisconnect` in class `AbstractConnectable`
  Throws:
    `Exception`

### processMessage

    public void processMessage(Object message)
                        throws Exception

  Specified by:
    `processMessage` in class `TransactedPollingMessageReceiver`
  Throws:
    `Exception`

### getMessages

    public List<MuleMessage> getMessages()
                                  throws Exception

  Specified by:
    `getMessages` in class `TransactedPollingMessageReceiver`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.